# trees.cpp File Reference

`#include <stdlib.h>`
`#include <osg/Billboard>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <osg/Texture2D>`
`#include <osg/TexEnv>`
`#include <osg/BlendFunc>`
`#include <osg/AlphaFunc>`
`#include <osgDB/ReadFile>`
`#include "hat.h"`

Include dependency graph for trees.cpp:

## Defines

#define | sqr(x) ((x)*(x))

## Functions

void | getDatabaseCenterRadius (float dbcenter[3], float *dbradius)
Node * | makeTrees (void)

## Define Documentation

#define sqr | ( | x |  | ) | ((x)*(x))

## Function Documentation

void getDatabaseCenterRadius | ( | float | dbcenter[3],
|  | float * | dbradius
| ) |

Node* makeTrees | ( | void |  | ) |